# config.fmt: Directory Migration tool (SIMS4.0/NMS4.15 to IMS5.0)
#
# Config file for Directory Migration tool: Directory Migration from 
# SIMS 4.0/NMS 4.xx to iMS 5.0.  Contains tunable parameters and command 
# line option parameters to set.
#
# Each line is a record, and processed separately.
# 1. All comment lines starts with '#'.  [first column is '#']
# 2. Blank lines are not processed.
# 3. Parameter specification is in the form <Param Name>=<Param Value>. 
#    Here first '=' sign is separator for Parameter name & parameter value.
#    If <Param Value> is not specified after first '=', NULL value is assumed.
#
#


# Default Number of threads spawned by the tool if user does not supply 
# -T numberOfThreads option. Also the value given to this parameter
# should be less than equal to the value given for MAX_NUM_THREADS.
# Default assumed by the tool is 2.
#
DEFAULT_NUM_THREADS=2


# Max Number of threads spawned by the tool at any time.  
# Suppose, If User specified thread number (using -T number-of-threads option)
# is greater than MAX_NUM_THREADS, then the number of threads to be spawned 
# will be set to MAX_NUM_THREADS.  Also the value given to this parameter
# should be greater than equal to the value given for DEFAULT_NUM_THREADS.
# Default assumed by the tool is 30.
#
MAX_NUM_THREADS=30


# Minimum threshold entries that can be on entries list.
# Better for this value to be greater than or equal to the number of threads
# spawned by tool. Also this value should be less than the value given 
# for MAX_ENTRIES. Default number assumed by the tool is 30.
#
MIN_ENTRIES=30
                      

# Maximum threshold entries that can be on entries list.
# Better this value be greater than or equal to the double the number of
# threads spawned by tool. Also this value should be greater than the value 
# given for MIN_ENTRIES. Default number assumed by the tool is 60.
#
MAX_ENTRIES=60


# -D bindDN
# User DN to be binded to LDAP Server for authentication. 
# Must provide parameter.
# e.g. BIND_DN=cn=Directory Manager
#
#BIND_DN=


# -w bindPassword. User password to be binded to LDAP Server for authentication.
# If not provided then tool prompts for password, and user can then 
# input in a secure way.
#
#BIND_PSWD=


# -M mailServer.  Specify the type migration.
# The valid values are sims, nms.  Default assumed is sims.
#
MAILSERVER=sims


# -b directoryBaseDN.  LDAP distinguished name of the directory base 
# of the DIT containing the entries to be migrated.  Must provide parameter.
# e.g. DIRBASE_DN=ou=people,dc=sun,dc=com,o=internet
#
#DIRBASE_DN=


# -A attribute:value[[;attribute:value] ...]
# Adding attribute value paris.  Default is NULL list.
# e.g. ADDATTRIBUTE=mailDeliveryOption:mailbox;mailQuota=100230;nsMaxUsers=13
#
#ADDATTRIBUTE=


# -F LDAPFilter.  RFC-1558 compliant LDAP search filter.
# Filter restricts the entries to be migrated. Default is NULL filter.
# e.g LDAP_FILTER=(|(uid=s*)(gid=d*)(givenname=*jone*))
#     LDAP_FILTER=(&(uid=s*)(gid=d*)(givenname=*jone*))
#
#LDAP_FILTER=


# -P.  Setting attribute value append mode.  Valid values are TRUE or FALSE.
# Give TRUE for setting.  Illegal value or NULL value (value not provided)
# is assumed as FALSE. Default is FALSE.
#
APPEND_ATTR_VALUES=FALSE



# -O.  Enabling Optimize operation mode.  Valid values are TRUE or FALSE.
# Give TRUE for enabling.  Illegal value or NULL value (value not provided) 
# is assumed as FALSE. Default is FALSE.
#
OPTIMIZE=FALSE


# -T numberOfThreads.  Number of threads to be spawned by tool.
# This value should be between DEFAULT_NUM_THREADS and MAX_NUM_THREADS.
# Take care in setting MIN_ENTRIES and MAX_ENTRIES values.
# e.g. NUM_THREADS=10
#
#NUM_THREADS=


# -c.  Enabling continue operation mode.  Valid values are TRUE or FALSE.
# Give TRUE for enabling.  Illegal value or NULL value (value not provided) 
# is assumed as FALSE. Default is FALSE.
#
CONTINUE=FALSE


# -f reportLogFile.  Set location where report file is generated.
# If not provided default location is /var/tmp/<toolname>.number
# For number we have not decided yet, we can take either $$ or date & time
# e.g. REPORT_LOG_FILE=/var/tmp/mtool.1
#
#REPORT_LOG_FILE=


# -h LDAPServerHost[:Port].  Suply ldap server host and port to connect.
# Default LDAPHost assumed is localhost, port is 389 (localhost:389).
# e.g. LDAP_HOST=radha.india.sun.com:1234
#
LDAP_HOST=localhost:389


# -l debugLevel. -l 1|2|3|4. Level debug information to be logged in debug file
# located in /var/tmp/toolname.dbg.  Valid range is 1-4.  Default is 1
# [1-Always msgs, 2-Error msgs, 3-Warn Msgs, 4-Debug msgs]
# Default debug file location is /var/tmp/imsdirmig.dbg
#
DEBUG_LEVEL=1


# -m {both/users/groups/domains}.  Specify type of entries to be migrated.
# Default value is both.
#
ENTRY_TYPE=both


# -n.  Enabling preview operation mode.  Valid values are TRUE or FALSE.
# Give TRUE for enabling.  Illegal value or NULL value (value not provided) 
# is assumed as FALSE. Default is FALSE.
#
PREVIEW=FALSE


# -r reportOption[,repOption]...  Controlling the report.
# Valid values: totals, nototals, names, nonames, before, nobefore, after, 
# noafter.  Default values assumed are totals, nonames, nobefore, noafter.
# e.g. REPROTOPT_LIST=totals,names,after,before
#      REPROTOPT_LIST=totals,names,noafter,nobefore
#
REPORTOPT_LIST=totals,nonames,noafter,nobefore


#
# End of config file for migration tool.
#
